{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine btree.extract, update_index, rlist, end_dialog\r\ndeclare function msg, key_sort, utility, fieldcount\r\n$insert lsl_users_equ\r\n$insert msg_equates\r\n\r\nStartDateFrom = .start_date_from->text\r\nStartDateThru = .start_date_thru->text\r\nReactors      = .reactors->array\r\nswap @vm:@vm with '' in Reactors\r\nif Reactors[-1,1] = @vm then Reactors[-1,1] = ''\r\nif StartDateFrom or StartDateThru then\r\n\tDirToPrint   = .send_to_printer->text\r\n\tRetVal = StartDateFrom:'*':StartDateThru:'*':Reactors\r\n\tend_dialog( @window, RetVal )\r\nend else\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must have a from date or a thru date.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend\r\nreturn 0"
        }
    }
}